@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@300;400;600&display=swap');

:root {
    --desaturatedRed: hsl(0, 36%, 70%);
    --softRed: hsl(0, 93%, 68%);
    --darkGrayishRed: hsl(0, 6%, 24%);
}

* {
    margin: 0;
    border: none;
    box-sizing: border-box;
    padding: 0;
}

body {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 16px;
}

.app {
    display: grid;
}

.logo {
    margin: 31px 32px 0;
    width: clamp(100px, 158px, 10.9722222222vw);
}

.hero {
    margin-top: 32px;
    width: 100%;
    height: 66.6666666667vw;
    background: url('media/hero-mobile.jpg') no-repeat;
    background-size: contain;
}

.text {
    padding: 61px 32px 0;
    background: linear-gradient(135deg, #fffbfa, #fff6f5);
    text-align: center;
}

.h1 {
    display: grid;
    gap: 5px;
}

.h1-top {
    color: var(--desaturatedRed);
    font-weight: 300;
    font-size: 40px;
    letter-spacing: 11px;
}

.h1-middle {
    position: relative;
    top: -10px;
    color: var(--darkGrayishRed);
    font-size: 39.3px;
    letter-spacing: 11px;
}

.h1-bottom {
    position: relative;
    top: -20px;
    color: var(--darkGrayishRed);
    font-size: 39.3px;
    letter-spacing: 11px;
}

.desc {
    margin-top: -7px;
    color: var(--desaturatedRed);
    font-size: 14px;
    line-height: 22px;
}

.input,.submit {
    margin-top: 33px;
    height: 48px;
}

.input {
    width: 100%;
    border: 1px solid #decacc;
    border-radius: 2em;
    background: transparent;
    padding-left: 23px;
    color: var(--desaturatedRed);
    font-family: 'Josefin Sans', sans-serif;
    font-size: 14px;
}

.input:focus {
    margin: 35px 0 2px;
    height: 44px;
    width: calc(100% - 4px);
    padding-left: 21px;
}

.input:not(:placeholder-shown) {
    color: var(--darkGrayishRed);
}

.error {
    visibility: hidden;
    position: absolute;
    left: 55px;
    margin-top: 90px;
    color: var(--desaturatedRed);
    font-size: 13px;
}

.input:not(:placeholder-shown):invalid + .error {
    visibility: visible;
}

.submit {
    width: 64px;
    position: absolute;
    right: 32px;
    border-radius: 30px;
    background:
        url(media/icon-arrow.svg) no-repeat 52% center,
        linear-gradient(135deg, hsl(0, 80%, 86%), hsl(0, 74%, 74%));
    color: transparent;
    box-shadow: 0px 15px 20px hsl(0, 93%, 68%, .25);
}

.submit:active {
    background:
        url(media/icon-arrow.svg) no-repeat 52% center,
        #f5c9ca;
    box-shadow: 0px 15px 20px hsl(0, 93%, 68%, .5);
}

/*
- Linear, 135deg, from hsl(0, 0%, 100%), to hsl(0, 100%, 98%)
- Linear, 135deg, from hsl(0, 80%, 86%), to hsl(0, 74%, 74%)
*/

.attribution {
    margin: 36px 20px 20px;
    font-size: 15px;
    text-align: center;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 850px) {
    .app {
        background:
            url('media/bg-pattern-desktop.svg') no-repeat,
            linear-gradient(135deg, hsl(0, 0%, 100%), hsl(0, 100%, 98%));
        grid-template-columns: 57.65% auto;
        grid-template-rows: 150px auto;
    }

    .logo,
    .text {
        margin-left: 19.9%;
    }

    .logo {
        margin-top: 65px;
    }

    .hero {
        margin: 0;
        background: url('media/hero-desktop.jpg') no-repeat;
        grid-row: span 2;
        height: 800px;
    }

    .text {
        background: none;
        padding: 78px 26.5% 0 0;
        text-align: left;
    }

    .h1 {
        display: grid;
        gap: 5px;
    }

    .h1-top,
    .h1-middle,
    .h1-bottom {
        font-size: 64px;
        letter-spacing: 17.2px;
    }

    .h1-middle {
        top: -15.7px;
    }

    .h1-bottom {
        top: -26px;
    }

    .desc {
        margin-top: -10px;
        font-size: 16px;
        line-height: 28px;
    }

    .input,
    .submit {
        margin-top: 40px;
        height: 56px;
    }

    .input {
        padding: 1px 0 0 7%;
        font-size: 16px;
    }

    .input:focus {
        margin: 42px 0 2px 2px;
        height: 52px;
        padding-left: calc(7% - 2px);
    }

    .error {
        left: 13.7%;
        margin-top: 105px;
    }

    .submit {
        width: 100px;
        right: 57.65%;
        background-position: 51% center, center;
    }

    .submit:active {
        box-shadow: 0 15px 20px rgba(85, 0, 0, 0.308);
    }
}